
; IDL CODE TO SEE HOW MANY SOURCES ARE DETECTED WHEN PUT FLUX LIMIT OF RESPECTIVE SURVEY ..
; & WRITING tbir, z, tage, Q0 for those DETECTED sources on a smaller file -- 
; -- as these are to be run again for 3 freqs and hence spectral index obtained ..
; 2004: OCT 26 - Paramita
; Nov 04 - Writing log10(Q0) in final file as that is what was written before ..
; Nov 24 - Detecting source for 6C
; 2005: Sept 19 - Read SIZ from separate file

	pro detect_source_6C

	print, ' In "detect_source_6C.pro"'

;	SIZ = 50547           ; for BRW (initial sampsize of 2096199)
;	SIZ = 80924           ; for BRW (initial sampsize of 3355926)

        SIZarr = lonarr(3)
; READ NUMBER OF LINES IN FILE 'logP151_1pz_6C.dat' FROM 'SampSize3C6C7C.dat'
        openr, 1, '../../SampSize3C6C7C.dat'; Open the file
	readf, 1, SIZarr                    ; Read number of lines written in 'SampSize3C6C7C.dat'
	close, 1

	SIZ = SIZarr[1]
;	print, ' SIZ =', SIZ, ', SIZarr =', SIZarr

	zlogP151_1pz = dblarr(1, SIZ)
        openr, 1, 'logP151_1pz_6C.dat'
        readf, 1, zlogP151_1pz
        close, 1
	logP151_1pz = zlogP151_1pz(0, *)

	z_d = dblarr(2, SIZ)
        openr, 1, 'effec_dist_6C.dat'
        readf, 1, z_d
        close, 1
        z = z_d(0, *)
        d = z_d(1, *)

        tztQ = dblarr(4, SIZ)
        openr, 1, 'tbirztageQ_6C.dat'
        readf, 1, tztQ
        close, 1
        ;tbir = tztQ(0, *)
        z = tztQ(1, *)
	tage = tztQ(2, *)
        Q0 = tztQ(3, *)

	P151_1pz = 10.0^logP151_1pz
        detP151 = P151_1pz * 1.0e26 / ( (d*d) * (1.0 + z) )    ; DETECTED FLUX IN Jy

	; 6C flux limit in Jy = b/w 2.00 & 3.93
	det6C = WHERE( (detP151 GE 2.00) AND (detP151 LE 3.93) )
	N6C = N_ELEMENTS(det6C)

;	print, 'det6C =', det6C, '    N6C =', N6C
	print, ' Number of sources above 6C flux limit, N6C =', N6C

	;tbir_det = tbir(det6C)
        z_det = z(det6C)
        tage_det = tage(det6C)
        Q0_det = Q0(det6C)

	logP151_1pz_det = logP151_1pz(det6C)

        openw, 1, '../Dt_CutOff_1kpc/6C/zTageQlogPem_det.dat'
	openw, 2, '../Dt_CutOff_10kpc/6C/zTageQlogPem_det.dat'
        for i = 0, N6C - 1 do begin
           printf, 1, z_det(i), tage_det(i), Q0_det(i), logP151_1pz_det(i)
	   printf, 2, z_det(i), tage_det(i), Q0_det(i), logP151_1pz_det(i)
        endfor
        close, 1
	close, 2

        return
        end

