; CODE TO PICK UP ~ 145 OBJECTS FROM ALL THOSE DETECTED IN ALL THE SAMPLE TEST RUNS 
; & DO THE STAT TEST & DO THE PLOTTING OF PDza PLANES
; 2004 Sept 20: Paramita
; Nov 15: Corrected to REST FRAME OF SOURCE ..

; 2005
; July 21: Modify in order to combine all codes 
; Nov 30: Test with new 6C data compiled -- excluding 2 FRI sources & incorporating better alpha_151 from Rawlings, Eales & Lacy 2001MNRAS.322..523R

	pro small_test_6C

	print, ' In "small_test_6C.pro"'

	SIZarr = intarr(2)
; READ NUMBER OF LINES IN FILE 'zTageQlogPem_noSmallD.dat' FROM 'SIZ_det.dat'
	openr, 1, 'SIZ_det.dat'    ; Open the file
	readf, 1, SIZarr           ; Read number of lines as written in 'SIZ_det.dat'
	close, 1
	S = SIZarr[1]
	
        alldata = DBLARR(4, S)      ; TOTAL SIZE / TOTAL # OF SOURCES DETECTED
	openr, 1, '6Cres/PDza_all.dat'
        readf, 1, alldata
        close, 1
        P_sim1 = alldata(0, *)
	D_proj_BRW = alldata(1, *)
	z_sim1 = alldata(2, *)
        a_sim1 = alldata(3, *)

	alldata = DBLARR(3, S)      ; TOTAL SIZE / TOTAL # OF SOURCES DETECTED
	openr, 1, '6Cres/zTageQ_all.dat'
        readf, 1, alldata
        close, 1
        Tage_sim1 = alldata(1, *)
        Q_sim1 = alog10(alldata(2, *))

	S_6C = 56                    ; SIZE OF new 6C DATA SET
        data_obs = DBLARR(4, S_6C)
;openr, 1, '/nfs/morgan2/barai/Paul_Work/mao_idl2c/DATA/6CE/SourceREST/P151rest_Dproj_z_a151rest_OBS.dat' 
openr, 1, '/nfs/morgan2/barai/Paul_Work/mao_idl2c/DATA/6CE/SourceREST/noFR1/P151rest_Dproj_z_a151rest_OBS.dat'
        readf, 1, data_obs
        close, 1
        P_obs = data_obs(0, *)
        D_obs = data_obs(1, *)
        z_obs = data_obs(2, *)
        a_obs = data_obs(3, *)

; NOW FROM THIS BIG SUPER SAMPLE (COMBINAITON OF ALL OBJECTS THAT WERE DETECTED IN ALL RUNS)
; PICK UP 145 OBJECTS RANDOMLY & PLOT THEM CONSIDERING THAT AS OUR FINAL 3C MODEL PREDICTION

        siz = double(S)        ; SIZE OF BIG SAMPLE
        siz1 = (siz/S_6C)   ; LENGTH OF INTERVAL NEEDED TO PICK UP AN OBJECT FROM THE BIG SAMPLE ..
        counter = dblarr(S_6C+1)
        j = 0
        for i=0, S_6C do begin
           counter(j) = siz1*j     ; INDICES OF AFTER HOW MUCH INTERVAL NEED TO PICK UP AN OBJECT FROM THE BIG SAMPLE ..
           j = j+1
        endfor

        ;print, 'counter =', counter

        ; SORTING SAMPLES IN ASCENDING ORDER IN z
        P_sim1_sorted = P_sim1(SORT(z_sim1))
        ;D_sim1_sorted = D_sim1(SORT(z_sim1))
        D_proj_BRW_sorted = D_proj_BRW(SORT(z_sim1))
        z_sim1_sorted = z_sim1(SORT(z_sim1))
        a_sim1_sorted = a_sim1(SORT(z_sim1))
        Q_sim1_sorted = Q_sim1(SORT(z_sim1))
        Tage_sim1_sorted = Tage_sim1(SORT(z_sim1))

	; PICK UP THE RANDOM SAMPLE FROM THE BIG VERSION
        Psmall = P_sim1_sorted(counter)
        ;Dsmall = D_sim1_sorted(counter)
        Dproj_BRWsmall = D_proj_BRW_sorted(counter)
        zsmall = z_sim1_sorted(counter)
        asmall = a_sim1_sorted(counter)
        Qsmall = Q_sim1_sorted(counter)
        Tagesmall = Tage_sim1_sorted(counter)

        ; INDICES / SUBSCRIPTS OF ORIGINAL FILE "padqtz_super.dat" WHICH ARE PICKED
        ;print, '(sort(z_sim1))(counter) =', (sort(z_sim1))(counter)+1

	openw, 1, '6Cres/padz_small.dat'
        for i=0, S_6C do begin
           printf, 1, Psmall(i), asmall(i), Dproj_BRWsmall(i), zsmall(i)
        endfor
        close, 1

	print, 'IDL K-S TEST RESULTS : COMPARISON OF 6C DATA W/ BRW (change r_hs) MODEL PREDICTION - COMBINING ALL sources detected'
        kstwo, P_sim1, P_obs, DKS_P, prob_P
        print, 'SOURCE POWER  : prob_P = ', prob_P
        ;kstwo, D_sim1, D_obs, DKS_D, prob_D
        kstwo, D_proj_BRW, D_obs, DKS_D_BRW, prob_D_BRW
        ;print, 'K-S FOR SIZE          : DKS_D =', DKS_D, ',prob_D = ', prob_D
        print, 'SIZE_PROJ_BRW : prob_D = ', prob_D_BRW
        kstwo, z_sim1, z_obs, DKS_z, prob_z
        print, 'REDSHIFT      : prob_z = ', prob_z
        kstwo, a_sim1, a_obs, DKS_a, prob_a
        print, 'SPECTRAL INDEX: prob_a = ', prob_a

	openu, 2, '../KSprob_PDza_TOTALsmall_3C6C7C.dat', /APPEND
	printf, 2, prob_P, prob_D_BRW, prob_z, prob_a

	print, 'IDL K-S TEST RESULTS : COMPARISON OF 6C DATA W/ BRW (change r_hs) MODEL PREDICTION: 56-57 OBJECTS PICKED RANDOMLY FROM BIG SAMPLE'
        kstwo, Psmall, P_obs, DKS_P, prob_P
        print, 'SOURCE POWER  : prob_P = ', prob_P
        ;kstwo, Dsmall, D_obs, DKS_D, prob_D
        kstwo, Dproj_BRWsmall, D_obs, DKS_D_BRW, prob_D_BRW
        ;print, 'K-S FOR SIZE          : DKS_D =', DKS_D, ',prob_D = ', prob_D
        print, 'SIZE_PROJ_BRW : prob_D = ', prob_D_BRW
        kstwo, zsmall, z_obs, DKS_z, prob_z
        print, 'REDSHIFT      : prob_z = ', prob_z
        kstwo, asmall, a_obs, DKS_a, prob_a
        print, 'SPECTRAL INDEX: prob_a = ', prob_a

	printf, 2, prob_P, prob_D_BRW, prob_z, prob_a
	close, 2

	zlt08_ind = WHERE((zsmall LT 0.8), count_zlt08) 
	if (count_zlt08 NE 0) then begin 
	   zlt08 = zsmall(zlt08_ind) 
	   plt08 = Psmall(zlt08_ind) 
	   dlt08 = Dproj_BRWsmall(zlt08_ind) 
	   alt08 = asmall(zlt08_ind) 
	   qlt08 = Qsmall(zlt08_ind) 
	   tlt08 = Tagesmall(zlt08_ind) 
	endif
        ;print, 'plt08 =', plt08
        ;print, 'zlt08 =', zlt08

        z08t15_ind = WHERE( ((zsmall GE 0.8) AND (zsmall LT 1.5)), count_z08t15 ) 
	if (count_z08t15 NE 0) then begin 
	   z08t15 = zsmall(z08t15_ind) 
	   p08t15 = Psmall(z08t15_ind) 
	   d08t15 = Dproj_BRWsmall(z08t15_ind) 
	   a08t15 = asmall(z08t15_ind) 
	   q08t15 = Qsmall(z08t15_ind) 
	   t08t15 = Tagesmall(z08t15_ind)
	endif
        ;print, 'p08t15 =', p08t15
        ;print, 'z08t15 =', z08t15

        z15t2_ind = WHERE( ((zsmall GE 1.5) AND (zsmall LT 2.0)), count_z15t2 ) 
	if (count_z15t2 NE 0) then begin 
	   z15t2 = zsmall(z15t2_ind)
	   p15t2 = Psmall(z15t2_ind) 
	   d15t2 = Dproj_BRWsmall(z15t2_ind) 
	   a15t2 = asmall(z15t2_ind) 
	   q15t2 = Qsmall(z15t2_ind) 
	   t15t2 = Tagesmall(z15t2_ind) 
	endif
        ;print, 'p15t2 =', p15t2
        ;print, 'z15t2 =', z15t2

        zgt2_ind = WHERE((zsmall GE 2.0), count_zgt2)
	if (count_zgt2 NE 0) then begin
           zgt2 = zsmall(zgt2_ind)
           pgt2 = Psmall(zgt2_ind)
           dgt2 = Dproj_BRWsmall(zgt2_ind)
           agt2 = asmall(zgt2_ind)
           qgt2 = Qsmall(zgt2_ind)
           tgt2 = Tagesmall(zgt2_ind)
	endif
        ;print, 'pgt2 =', pgt2
        ;print, 'zgt2 =', zgt2

	Dmin = MIN(Dproj_BRWsmall) & Dmax = MAX(Dproj_BRWsmall)
	print, ' Dmin = ', Dmin, ' kpc', ' & Dmax = ', Dmax, ' kpc'
	if (Dmin GT 1.0) then Dmin = 1.0

	!p.font = 0
        !P.MULTI = [0, 2, 2]
        set_plot, 'ps'
        device, filename='6Cres/PDza1.ps', /landscape
        !x.thick = 3
        !y.thick = 3
        !p.thick = 2
        !p.charsize = 1.1

        !x.title = 'Redshift, z'
        !y.title = 'Log!D10!N(P!D151!N / W Hz!U-1!N sr!U-1!N)'
        !x.range = [0, 4]
        !x.style = 1
        !y.range = [24, 30]
        !y.style = 1
        plot, zsmall, Psmall, /nodata, title = 'Predicted 6C: BRW (Vary r_hs)'
        if (count_zlt08 NE 0) then oplot, zlt08, plt08, psym = 1, symsize = 0.5
        if (count_z08t15 NE 0) then oplot, z08t15, p08t15, psym = 5
        if (count_z15t2 NE 0) then oplot, z15t2, p15t2, psym = 7
        if (count_zgt2 NE 0) then oplot, zgt2, pgt2, psym = 2 
	
	!x.title = 'Projected Linear Size, D (kpc)'
        !y.title = 'Log!D10!N(P!D151!N / W Hz!U-1!N sr!U-1!N)'
        !x.range = [Dmin, 100000]
        !x.style = 1
        !y.range = [24, 30]
        !y.style = 1
        plot, Dproj_BRWsmall, Psmall, /nodata, /xlog, title ='Random 56-57 from ALL selected' 
	if (count_zlt08 NE 0) then oplot, dlt08, plt08, psym = 1, symsize = 0.5
        if (count_z08t15 NE 0) then oplot, d08t15, p08t15, psym = 5
        if (count_z15t2 NE 0) then oplot, d15t2, p15t2, psym = 7
        if (count_zgt2 NE 0) then oplot, dgt2, pgt2, psym = 2

        !x.title = 'Spectral Index, a'
        !y.title = 'Log!D10!N(P!D151!N / W Hz!U-1!N sr!U-1!N)'
        !x.range = [0, 2]
        !x.style = 1
        !y.range = [24, 30]
        !y.style = 1 
	plot, asmall, Psmall, /nodata
	if (count_zlt08 NE 0) then oplot, alt08, plt08, psym = 1, symsize = 0.5
        if (count_z08t15 NE 0) then oplot, a08t15, p08t15, psym = 5
        if (count_z15t2 NE 0) then oplot, a15t2, p15t2, psym = 7
        if (count_zgt2 NE 0) then oplot, agt2, pgt2, psym = 2

	!x.title = 'Redshift, z'
        !y.title = 'Projected Linear Size, D (kpc)'
        !x.range = [0, 4]
        !x.style = 1
        !y.range = [Dmin, 100000]
        !y.style = 1
        plot, zsmall, Dproj_BRWsmall, /nodata, /ylog
        if (count_zlt08 NE 0) then oplot, zlt08, dlt08, psym = 1, symsize = 0.5
        if (count_z08t15 NE 0) then oplot, z08t15, d08t15, psym = 5
        if (count_z15t2 NE 0) then oplot, z15t2, d15t2, psym = 7
        if (count_zgt2 NE 0) then oplot, zgt2, dgt2, psym = 2

        device, /close

        device, filename='6Cres/PDza2.ps', /landscape
        !x.title = 'Projected Linear Size, D (kpc)'
        !y.title = 'Spectral Index'
        !x.range = [Dmin, 100000]
        !x.style = 1
        !y.range = [0, 2]
        !y.style = 1 
	plot, Dproj_BRWsmall, asmall, /nodata, /xlog, title = 'Predicted 6C: BRW (Vary r_hs)' 
	if (count_zlt08 NE 0) then oplot, dlt08, alt08, psym = 1, symsize = 0.5
        if (count_z08t15 NE 0) then oplot, d08t15, a08t15, psym = 5
        if (count_z15t2 NE 0) then oplot, d15t2, a15t2, psym = 7
        if (count_zgt2 NE 0) then oplot, dgt2, agt2, psym = 2

        !x.title = 'Redshift, z'
        !y.title = 'Spectral Index'
        !x.range = [0, 4]
        !x.style = 1
        !y.range = [0, 2]
        !y.style = 1 
	plot, zsmall, asmall, /nodata, title ='Random 56-57 from ALL selected'
        if (count_zlt08 NE 0) then oplot, zlt08, alt08, psym = 1, symsize = 0.5
        if (count_z08t15 NE 0) then oplot, z08t15, a08t15, psym = 5
        if (count_z15t2 NE 0) then oplot, z15t2, a15t2, psym = 7
        if (count_zgt2 NE 0) then oplot, zgt2, agt2, psym = 2

	!x.title = 'log!D10!N[ Jet Power (W) ]'
        !y.title = 'Log!D10!N(P!D151!N / W Hz!U-1!N sr!U-1!N)'
        !x.range = [36, 42]
        !x.style = 1
        !y.range = [24, 30]
        !y.style = 1 
	plot, Qsmall, Psmall, /nodata 
	if (count_zlt08 NE 0) then oplot, qlt08, plt08, psym = 1, symsize = 0.5
        if (count_z08t15 NE 0) then oplot, q08t15, p08t15, psym = 5
        if (count_z15t2 NE 0) then oplot, q15t2, p15t2, psym = 7
        if (count_zgt2 NE 0) then oplot, qgt2, pgt2, psym = 2 

        !x.title = 'Redshift'
        !y.title = 'Age (Years)'
        !x.range = [0, 4]
        !x.style = 1
        !y.range = [1.e4, 1.e9]
        !y.style = 1 
	plot, zsmall, Tagesmall*1.0e6, /nodata, /ylog
        if (count_zlt08 NE 0) then oplot, zlt08, tlt08*1.0e6, psym = 1, symsize = 0.5
        if (count_z08t15 NE 0) then oplot, z08t15, t08t15*1.0e6, psym = 5
        if (count_z15t2 NE 0) then oplot, z15t2, t15t2*1.0e6, psym = 7
        if (count_zgt2 NE 0) then oplot, zgt2, tgt2*1.0e6, psym = 2

        device, /close

        set_plot, 'x'
        !p.multi = 0 
	
	return
	end
