; 2005 July 29
; IDL CODE TO EXCLUDE SOURCES WITH D(tobs) < 1 kpc -- for BRW model

; July 29: Modify to combine codes - Read param values from another file

        pro Exclude_SmallD_6C
	
	print, ' In "Exclude_SmallD_6C.pro" :'

; READ NUMBER OF LINES IN FILE 'zTageQlogPem_det.dat' FROM 'SIZ_det.dat'
	openr, 1, 'SIZ_det.dat'   ; Open the file
	readf, 1, SIZ             ; Read number of lines as written in 'SIZ_det.dat'
	close, 1

	secpermyr = 3.15576e13    ; number of sec in a Myr.
	mperkpc = 3.085678e19     ; number of m in a kpc.

	openr, 1, '../../BRWparams.dat'    ; Open the file
	readf, 1, betaa, a0kpc, rho0, gamx, gaml, gammin, gammax, pm, rhs, tbs, tbf, nu0
	close, 1

; betaa = 1.5            ; factor beta, dimensionless, Blundell used 1.5, p690
; a0 = 10.0*mperkpc      ; factor a0. Blundell et al. use 10kpc, converted here to meters.
; rho0 = 1.67e-23        ; environment central density in kg*m^-3, Blundell p690
; gamx = 1.66667         ; external medium adiabatic index, Blundell p691
; gaml = 1.33333         ; lobe adiabatic index, Blundell p693
; gammin = 1.0           ; minimum hotspot Lorentz factor, Blundell p694
; gammax = 1.0e14        ; maximum hotspot Lorentz factor, Blundell p694
; pm = 2.14              ; ?? slope of n(gama) power law in middle region, see fig 11, p.694
; Ahs = M_PI*pow(2.5,2.0)*mperkpc*mperkpc      ; hotspot area in m^2, Blundell p693
; tbs = 1.0e5            ; slow break time in years, Blundell p693
; tbf = 1.0              ; fast break time in years, Blundell p693
; nu0 = 151.0e6          ; frequency in Hz, BRW = 151 MHz.

	a0 = a0kpc*mperkpc        ; factor a0. BRW use 10kpc, converted here to meters.
	c1 = 1.8                  ;  factor c1, dimensionless, Blundell p690

        zTageQlogPem = dblarr(4, SIZ)
        openr, 1, 'zTageQlogPem_det.dat'
        readf, 1, zTageQlogPem
        close, 1
	z = zTageQlogPem[0, *]                              ; redshift
	tmyr = zTageQlogPem[1, *] & tobs = tmyr * secpermyr ; age of source when obs in seconds
	Q0 = zTageQlogPem[2, *]                             ; initial energy of source in Watts
	Pem = zTageQlogPem[3, *]

	openw, 2, 'zTageQlogPem_noSmallD.dat'
	for j = 0, SIZ-1 do begin

; D(double tt) = 2.0*c1*a0*pow((Q0 * pow(tt,3.0) / (pow(a0,5.0)*rho0)),(1.0/(5.0-betaa)));
; source size in meters as f(tobs,Q0), Blundell eq. 6

;	   Dtemp = ( Q0[j] * (tobs[j]^3.0) ) / ( (a0^5.0)*rho0 )  
;	   D_tobs = 2.0 * c1 * a0kpc * ( Dtemp^(1.0/(5.0-betaa)) )         ; for BRW D(t)

	   D_temp1 = (tobs[j]^3.0) / (a0^betaa)
	   D_temp2 = Q0[j] / rho0
	   D_temp = D_temp1 * D_temp2
;	   print, ' D_temp =', D_temp
	   D_tobs = 2.0 * c1 * ( D_temp^(1.0/(5.0-betaa)) )
	   dkpc = D_tobs / mperkpc  ; Total Length of Source in kpc
	   
	   if (dkpc GE 10.0) then printf, 2, z[j], tmyr[j], Q0[j], Pem[j]
	   if (dkpc LT 10.0) then print, ' dkpc < 10.0 at line', j+1
;	   print, ' dkpc =', dkpc
	endfor

	close, 2
	return
        end

