

; 2005 : Paramita Barai : Combining codes in order to automate process

; July 21: Combine Codes relevant to after 6C Detection : Exclude sources with D < 1kpc, 
; Calculate Power at 3 freqs, Find Spectral Index from the 3 Powers, 
; Collect relevant quantities (P, D, z, alpha) & write in separate file to compare by KS test

	pro Combine_7Cdetect

	print, ' In "Dt_CutOff_10kpc/Combine_7Cdetect.pro":'

; APPEND TO FILE TO WRITE FINAL RESULTS, NUMBER OF SOURCES DETECTED & KS STATS
	openu, 11, '../Results.txt', /APPEND
	printf, 11, ' '

; COUNT NUMBER OF LINES IN FILE 'zTageQlogPem_det.dat'
        openr, 1, 'zTageQlogPem_det.dat'     ; Open the file
        count = 0
        A = ''                               ; Define a string variable
        while NOT EOF(1) do begin            ; Loop until EOF is found
           readf, 1, A                       ; Read a line of text
;          print, A                          ; Print the line
           count = count + 1
        endwhile
        close, 1                             ; Close the file
        print, ' Counting number of sources detected initially: count =', count
	printf, 11, '7C Number of sources detected initially =', count

; WRITE NUMBER OF LINES (I.E. NUMBER OF SOURCES DETECTED) IN FILE 'SIZ_det.dat'
	openw, 2, 'SIZ_det.dat'
	printf, 2, count
	close, 2

; RUN IDL CODE TO EXCLUDE SOURCES WITH D < 1 kpc
	Exclude_SmallD_7C

; COUNT NUMBER OF LINES IN FILE 'zTageQlogPem_noSmallD.dat'
	openr, 1, 'zTageQlogPem_noSmallD.dat'; Open the file
        count = 0
        A = ''                               ; Define a string variable
        while NOT EOF(1) do begin            ; Loop until EOF is found
           readf, 1, A                       ; Read a line of text
           count = count + 1
        endwhile
        close, 1                             ; Close the file
        print, ' Number of sources after excluding those with D < 10 kpc: count =', count
	printf, 11, '7C Number of sources detected finally (excluding D < 10 kpc) =', count
	printf, 11, 'Ratio of 7C simulation number with actual survey =', (double(count))/126.00

; WRITE NUMBER OF LINES (I.E. reduced NUMBER OF SOURCES, EXCLUDING THOSE WITH D < 1 kpc) IN FILE 'SIZ_det.dat'
        openu, 2, 'SIZ_det.dat', /APPEND
        printf, 2, count
        close, 2

; RUN C CODE TO CALCULATE POWER AT 3 FREQS
	spawn, 'make'
	spawn, './blunflim'
	spawn, 'make clean'

; RUN IDL CODE TO FIND SPECTRAL INDEX FROM POWERS AT 3 FREQS
	find_alpha_rest_7C

; RUN IDL CODE TO COLLECT P, D, z, alpha OF SOURCES DETECTED & WRITE THEM IN A FILE TO DO KS TEST
	collect_PDza_7C

; RUN IDL CODE TO DO KS TEST FINALLY B/W SOURCES DETECTED & ACTUAL 6C OBS 
	small_test_7C  ; CODE IS IN DIRECTORY 6C/6Cres

	printf, 11, ' '
	close, 11

	return
        end

@Exclude_SmallD_7C
@find_alpha_rest_7C
@collect_PDza_7C
@7Cres/small_test_7C
