
; IDL CODE TO COLLECT P_nu0, Dproj, z, alpha FOR SOURCES DETECTED.
; 2005 May 23 : Updated to read D for sources with Dproj > 1 kpc only
; July 20 : Update for combining processes -- Read SIZ variable from file
; July 28 : Introduce condition to check if FINITE number of sources in each redshift range, 
; before classifying them & writing them in different files -- to prevent abrupt stopping of code

	pro collect_PDza_6C

        print, ' In "collect_PDza_6C.pro" :'

        SIZarr = intarr(2)
; READ NUMBER OF LINES IN FILE 'zTageQlogPem_noSmallD.dat' FROM 'SIZ_det.dat'
        openr, 1, 'SIZ_det.dat'    ; Open the file
        readf, 1, SIZarr           ; Read number of lines as written in 'SIZ_det.dat'
        close, 1
        SIZ = SIZarr[1]

        zlogP151 = dblarr(3, SIZ)
        openr, 1, 'zlogP151_nu0_D.dat'
        readf, 1, zlogP151
        close, 1
	logP151 = zlogP151(1, *)

	aDproj = dblarr(2, SIZ)
        openr, 1, 'alpha_Dproj.dat'
        readf, 1, aDproj
        close, 1
	alph = aDproj(0, *)
	Dproj = aDproj(1, *)
	
        tztQ = dblarr(4, SIZ)
        openr, 1, 'zTageQlogPem_noSmallD.dat'
        readf, 1, tztQ
        close, 1
        z = tztQ(0, *) & tage = tztQ(1, *) & Q0 = tztQ(2, *)

	ind_zltp8 = WHERE((z LT 0.8), count_zltp8)
	ind_zp8t1p5 = WHERE(((z LT 1.5) AND (z GE 0.8)), count_zp8t1p5)
	ind_z1p5t2 = WHERE(((z LT 2.0) AND (z GE 1.5)), count_z1p5t2)
	ind_zgt2 = WHERE((z GE 2.0), count_zgt2)

	N_zltp8 = N_ELEMENTS(ind_zltp8)    & N_zp8t1p5 = N_ELEMENTS(ind_zp8t1p5)
	N_z1p5t2 = N_ELEMENTS(ind_z1p5t2)  & N_zgt2 = N_ELEMENTS(ind_zgt2)
	
	if (count_zltp8 NE 0) then begin
	   P_zltp8 = logP151(ind_zltp8)     & D_zltp8 = Dproj(ind_zltp8)
	   z_zltp8 = z(ind_zltp8)           & a_zltp8 = alph(ind_zltp8)
	   tage_zltp8 = tage(ind_zltp8)     & Q0_zltp8 = Q0(ind_zltp8)
	endif

	if (count_zp8t1p5 NE 0) then begin
	   P_zp8t1p5 = logP151(ind_zp8t1p5) & D_zp8t1p5 = Dproj(ind_zp8t1p5)
	   z_zp8t1p5 = z(ind_zp8t1p5)       & a_zp8t1p5 = alph(ind_zp8t1p5)
	   tage_zp8t1p5 = tage(ind_zp8t1p5) & Q0_zp8t1p5 = Q0(ind_zp8t1p5)
	endif

	if (count_z1p5t2 NE 0) then begin
	   P_z1p5t2 = logP151(ind_z1p5t2)   & D_z1p5t2 = Dproj(ind_z1p5t2)
	   z_z1p5t2 = z(ind_z1p5t2)         & a_z1p5t2 = alph(ind_z1p5t2)
	   tage_z1p5t2 = tage(ind_z1p5t2)   & Q0_z1p5t2 = Q0(ind_z1p5t2)
	endif

	if (count_zgt2 NE 0) then begin
	   P_zgt2 = logP151(ind_zgt2)       & D_zgt2 = Dproj(ind_zgt2)
	   z_zgt2 = z(ind_zgt2)             & a_zgt2 = alph(ind_zgt2)
	   tage_zgt2 = tage(ind_zgt2)       & Q0_zgt2 = Q0(ind_zgt2)
	endif

	openw, 3, '6Cres/PDza_all.dat'
	openw, 2, '6Cres/zTageQ_all.dat'

	if (count_zltp8 NE 0) then begin
	   openw, 1, '6Cres/PDza_zlt08.dat'
	   for i = 0, N_zltp8-1 do begin
	      printf, 1, P_zltp8(i), D_zltp8(i), z_zltp8(i), a_zltp8(i)
	      printf, 3, P_zltp8(i), D_zltp8(i), z_zltp8(i), a_zltp8(i)
	      printf, 2, z_zltp8(i), tage_zltp8(i), Q0_zltp8(i)
	   endfor
	   close, 1
	endif

	if (count_zp8t1p5 NE 0) then begin
	   openw, 1, '6Cres/PDza_z08t15.dat'
           for i = 0, N_zp8t1p5-1 do begin
              printf, 1, P_zp8t1p5(i), D_zp8t1p5(i), z_zp8t1p5(i), a_zp8t1p5(i)
              printf, 3, P_zp8t1p5(i), D_zp8t1p5(i), z_zp8t1p5(i), a_zp8t1p5(i)
	      printf, 2, z_zp8t1p5(i), tage_zp8t1p5(i), Q0_zp8t1p5(i)
           endfor
	   close, 1
	endif

	if (count_z1p5t2 NE 0) then begin
	   openw, 1, '6Cres/PDza_z15t2.dat'
           for i = 0, N_z1p5t2-1 do begin
              printf, 1, P_z1p5t2(i), D_z1p5t2(i), z_z1p5t2(i), a_z1p5t2(i)
              printf, 3, P_z1p5t2(i), D_z1p5t2(i), z_z1p5t2(i), a_z1p5t2(i)
	      printf, 2, z_z1p5t2(i), tage_z1p5t2(i), Q0_z1p5t2(i)
	   endfor
           close, 1
	endif

	if (count_zgt2 NE 0) then begin
	   openw, 1, '6Cres/PDza_zgt2.dat'
           for i = 0, N_zgt2-1 do begin
              printf, 1, P_zgt2(i), D_zgt2(i), z_zgt2(i), a_zgt2(i)
              printf, 3, P_zgt2(i), D_zgt2(i), z_zgt2(i), a_zgt2(i)
	      printf, 2, z_zgt2(i), tage_zgt2(i), Q0_zgt2(i)
           endfor
           close, 1
	endif

	close, 3
	close, 2

	return
	end
