
; Version when number of sources detected in simulated survey > Actual number of sources in catalog
; & we reduce the total detected source sample to a smaller sample accordingly 

; /nfs/morgan2/barai/PhD_Work/FINALcodes/AddProbs/MOREdet

	pro FindTotalProb_MOREdet

	print, ' In "FindTotalProb_MOREdet.pro"'

	Ncols = 4 & Nrows = 6
	tempdata = DBLARR(Ncols, Nrows)
	openr, 11, '../KSprob_PDza_TOTALsmall_3C6C7C.dat'
	readf, 11, tempdata
	close, 11

; Prob for all sources detected in simulation for 3C in 1st row
	P_3C_total = tempdata(0, 0) ;0
	D_3C_total = tempdata(1, 0)
	z_3C_total = tempdata(2, 0)
	a_3C_total = tempdata(3, 0)

; Prob for small sample test for 3C in 2nd row
	P_3C_small = tempdata(0, 1) ;1
	D_3C_small = tempdata(1, 1)
	z_3C_small = tempdata(2, 1)
	a_3C_small = tempdata(3, 1)

;if (P_3C_total GT P_3C_small) then prob_P_3C = P_3C_total else prob_P_3C = P_3C_small
;if (D_3C_total GT D_3C_small) then prob_D_3C = D_3C_total else prob_D_3C = D_3C_small
;if (z_3C_total GT z_3C_small) then prob_z_3C = z_3C_total else prob_z_3C = z_3C_small
;if (a_3C_total GT a_3C_small) then prob_a_3C = a_3C_total else prob_a_3C = a_3C_small

	prob_P_3C = P_3C_small
	prob_D_3C = D_3C_small
	prob_z_3C = z_3C_small
	prob_a_3C = a_3C_small

; Prob for all sources detected in simulation for 6C in 3rd row
        P_6C_total = tempdata(0, 2) ;2
        D_6C_total = tempdata(1, 2)
        z_6C_total = tempdata(2, 2)
        a_6C_total = tempdata(3, 2)

; Prob for small sample test for 3C in 4th row
        P_6C_small = tempdata(0, 3) ;3
        D_6C_small = tempdata(1, 3)
        z_6C_small = tempdata(2, 3)
        a_6C_small = tempdata(3, 3)

;if (P_6C_total GT P_6C_small) then prob_P_6C = P_6C_total else prob_P_6C = P_6C_small
;if (D_6C_total GT D_6C_small) then prob_D_6C = D_6C_total else prob_D_6C = D_6C_small
;if (z_6C_total GT z_6C_small) then prob_z_6C = z_6C_total else prob_z_6C = z_6C_small
;if (a_6C_total GT a_6C_small) then prob_a_6C = a_6C_total else prob_a_6C = a_6C_small

	prob_P_6C = P_6C_small
        prob_D_6C = D_6C_small
        prob_z_6C = z_6C_small
        prob_a_6C = a_6C_small

; Prob for all sources detected in simulation for 7C in 5th row
        P_7C_total = tempdata(0, 4) ;4
        D_7C_total = tempdata(1, 4)
        z_7C_total = tempdata(2, 4)
        a_7C_total = tempdata(3, 4)

; Prob for small sample test for 3C in 6th row
        P_7C_small = tempdata(0, 5) ;3
        D_7C_small = tempdata(1, 5)
        z_7C_small = tempdata(2, 5)
        a_7C_small = tempdata(3, 5)

;if (P_7C_total GT P_7C_small) then prob_P_7C = P_7C_total else prob_P_7C = P_7C_small
;if (D_7C_total GT D_7C_small) then prob_D_7C = D_7C_total else prob_D_7C = D_7C_small
;if (z_7C_total GT z_7C_small) then prob_z_7C = z_7C_total else prob_z_7C = z_7C_small
;if (a_7C_total GT a_7C_small) then prob_a_7C = a_7C_total else prob_a_7C = a_7C_small

	prob_P_7C = P_7C_small
        prob_D_7C = D_7C_small
        prob_z_7C = z_7C_small
        prob_a_7C = a_7C_small

	openu, 1, '../Results.txt', /APPEND
	printf, 1, ' '
        printf, 1, 'KS Results when REDUCED (TO EQUAL NUMBER AS SURVEY) detection is compared to survey'
        printf, 1, 'Valid if MORE number of sources in simulation than actual survey'
	printf, 1, 'KS Probs for 3C' & printf, 1, prob_P_3C, prob_D_3C, prob_z_3C, prob_a_3C
	printf, 1, 'KS Probs for 6C' & printf, 1, prob_P_6C, prob_D_6C, prob_z_6C, prob_a_6C
	printf, 1, 'KS Probs for 7C' & printf, 1, prob_P_7C, prob_D_7C, prob_z_7C, prob_a_7C

	N3C = 145.0
	N6C = 58.0
	N7C_all = 128.0
	N7C_III = 54.0

	fac_6C    = sqrt(N6C/N3C)
	fac_Pz_7C = sqrt(N7C_all/N3C)
	fac_D_7C  = sqrt(N7C_III/N3C)

	P_D_z_3C = prob_P_3C + prob_D_3C + prob_z_3C
	P_D_z_6C = (prob_P_6C+prob_D_6C+prob_z_6C) * fac_6C
	P_D_z_7C = ((prob_P_7C+prob_z_7C)*fac_Pz_7C) + (prob_D_7C*fac_D_7C)

	P_D_z_total = P_D_z_3C + P_D_z_6C + P_D_z_7C

	P_2D_z_3C = prob_P_3C + (2.0*prob_D_3C) + prob_z_3C
	P_2D_z_6C = (prob_P_6C + (2.0*prob_D_6C) + prob_z_6C) * fac_6C
	P_2D_z_7C = ((prob_P_7C+prob_z_7C)*fac_Pz_7C) + (2.0*prob_D_7C*fac_D_7C)

	P_2D_z_total = P_2D_z_3C + P_2D_z_6C + P_2D_z_7C

	printf, 1, ' '
	printf, 1, 'Total KS probabilities (P+ D+z) for 3C+6C+7C =', P_D_z_total
	printf, 1, 'Total KS probabilities (P+2D+z) for 3C+6C+7C =', P_2D_z_total

	printf, 1, ' '
        close, 1

	return
	end
