
; IDL CODE TO FIND LUMINOSITY DISTANCE FACTOR FOR THE SOURCES
;  (BY INTEGRATING OVER z) EQ. (3.76) OF PEACOCK

	function intgr, x
           om_M = 0.3
           om_V = 0.7
           temp = sqrt(om_V + om_M * ((1+x)^3) )
           return, 1.0/temp
        end

	pro find_DL

	SIZ = 386270   
	ZlogP = dblarr(4, SIZ)  ; CHECK SIZE OF logP*.dat & GIVE
        openr, 1, '../tbirztageQ.dat'
        readf, 1, ZlogP
        close, 1
 
        z = ZlogP(1, *)

	print, 'Data read, getting Qromb'
	
	effec_d = QROMB('intgr', 0.0, z)

	openw, 2, '../effec_dist.dat'

	c = 2.9979e5            ; speed of light in km/s
	H0 = 71.000             ; Hubble constant in km/sec/Mpc.
	mpermpc = 3.0857e22       ; number of meters in a Mpc.

	for i = 0L, SIZ - 1 do begin
	    printf, 2, z(i), (c/H0)*effec_d(i)*mpermpc
; WRITE z & EFFECTIVE DISTANCE (IN m) IN FILE 'effec_dist.dat' 
	    print, 'run =', i 
	endfor

	close, 2

	return
	end
